From 91c1317e249054c371a7c9fec40ff06309b00a8e Mon Sep 17 00:00:00 2001
From: Sebastien Zwickert <dilaroga@free.fr>
Date: Thu, 8 Sep 2011 22:49:51 +0200
Subject: [PATCH 5/5] opengl: fixes subtexturing issue on macos.

---
 modules/video_output/opengl.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/modules/video_output/opengl.c b/modules/video_output/opengl.c
index e33f7f5..236b0d2 100644
--- a/modules/video_output/opengl.c
+++ b/modules/video_output/opengl.c
@@ -448,6 +448,7 @@ static int PictureLock(picture_t *picture)
     vout_display_opengl_t *vgl = picture->p_sys->vgl;
     if (!vlc_gl_Lock(vgl->gl)) {
         glBindTexture(vgl->tex_target, PictureGetTexture(picture));
+        glPixelStorei(GL_UNPACK_ROW_LENGTH, picture->p->i_pitch / picture->p->i_pixel_pitch);
         glTexSubImage2D(vgl->tex_target, 0,
                         0, 0, vgl->fmt.i_width, vgl->fmt.i_height,
                         vgl->tex_format, vgl->tex_type, picture->p[0].p_pixels);
-- 
1.7.3.4

